%define major	1
%define libname %mklibname %{name} %{major}
%define develname %mklibname encfs -d

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.9.5
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
URL: 		https://vgough.github.io/encfs/
Source0:	http://encfs.googlecode.com/files/%{name}-%{version}.tar.xz
Requires:	fuse >= 2.6
Requires:	openssl >= 0.9.7
BuildRequires:	cmake
BuildRequires:	pkgconfig(librlog) >= 1.3
BuildRequires:	pkgconfig(fuse) >= 2.6
BuildRequires:	pkgconfig(openssl) >= 0.9.7
BuildRequires:	chrpath
BuildRequires:	boost-devel >= 1.34
BuildRequires:	%{_lib}tinyxml2-devel
# only needed for autoreconf usage
BuildRequires:	gettext-devel
Requires:	fuse
Requires:	openssl
Requires:	%{libname} = %{version}

%description
EncFS implements an encrypted pass-through filesystem in userspace using
FUSE. File names and contents are encrypted using OpenSSL.

%package -n %{libname}
Summary:	Libraries for encfs
Group:		System/Libraries
Obsoletes:  libencfs6

%description -n	%{libname}
Libraries for encfs.

%package -n	%{develname}
Summary:	The development libraries and header files for encfs
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	encfs-devel = %{version}-%{release}

%description -n	%{develname}
Development libraries and header files for encfs

%prep
%setup -q 

%build
%cmake -DUSE_INTERNAL_TINYXML=OFF \
      -DINSTALL_LIBENCFS=ON \
      -DBUILD_SHARED_LIBS=ON \
      -DCMAKE_INSTALL_PREFIX=/usr

%make_build

%install
%make_install -C build
%find_lang %{name}

chrpath -d %{buildroot}%{_bindir}/{encfs,encfsctl}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libencfs.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libencfs.so

%changelog
* Mon Oct 29 2018 adrianomorselli <adrianomorselli> 1.9.5-1uplos2018
- update
